Docs

Reference

Account health stats

Account health metrics: restrictions, flood waits, success rates (no member filter).

View MarkdownThis page is generated from the source code on every release.

Account health metrics: restrictions, flood waits, success rates (no member filter).

Overview

Name Value
Code stats.health
Scope needed stats.read
Risk Read
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager, agent, viewer
In the app Stats → Health

Input fields

Field Type Required Description
preset "today" | "7d" | "30d" | "90d" | "custom" Yes
from text No
to text No
account uuid No
member uuid No

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/stats.health \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"preset":"today"}'

Output fields (data)

Field Type Required
range object Yes
m object Yes

Example answer

{
  "data": {
    "range": {
      "from": "text",
      "to": "text",
      "days": [
        "text"
      ],
      "tz": "text"
    },
    "m": {
      "tz": "text",
      "accounts": [
        {
          "account_id": "00000000-0000-4000-8000-000000000000",
          "label": "text",
          "created_at": "2026-10-22T12:00:00.000Z",
          "safety_state": "text",
          "session_state": "text",
          "connection_state": "text",
          "last_connected_at": "2026-10-22T12:00:00.000Z",
          "paused": true,
          "actions_ok": 1,
          "actions_failed": 1,
          "floods": [
            "text"
          ],
          "limited": [
            "text"
          ],
          "proxy": [
            "text"
          ],
          "stranger": [
            {
              "day": "text",
              "sent": 1,
              "restricted": 1
            }
          ],
          "daily": [
            {
              "day": "text",
              "ok": 1,
              "failed": 1,
              "floods": 1
            }
          ],
          "connections": [
            {
              "state": "text",
              "at": "text"
            }
          ],
          "score": 1,
          "series": [
            {
              "day": "text",
              "score": 1
            }
          ],
          "floodsInRange": 1,
          "limitedInRange": 1,
          "proxyInRange": 1,
          "strangerSent": 1,
          "strangerRestricted": 1,
          "onlineShare": 1
        }
      ]
    }
  }
}

Using it over MCP

Tool stats_health is listed on the profiles: Reports (reports). On other profiles, find it with tools_search and run it with tools_run.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0